<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Promises</title>
    <style>
        *{box-sizing: border-box}
    </style>
</head>
<body>
    <p></p>
    <script>
        
        const uri1 = "./A.txt"
        const uri2 = "./B.txt"

        const concatlinewise = (_first, _second) =>
        {
            const firstArr = _first.split(/\r\n|\n/);
            const secondArr = _second.split(/\r\n|\n/);

            const iterations = Math.max(firstArr.length, secondArr.length);

            var result = "";
            for(i = 0; i < iterations; i++)
            {
                if(i < firstArr.length)
                    result+= firstArr[i] + " ";
                if(i < secondArr.length)
                    result+= secondArr[i];
                result += "<br>";
            }
            return result;
        }

        Promise.all([
            fetch(uri1),
            fetch(uri2)
        ]).then(x => {
            Promise.all([
                x[0].text(),
                x[1].text()
            ]).then(y => {
                var  first = y[0];
                var second = y[1];
                console.log("First: " + first);
                console.log("Second: " + second);
                const text = concatlinewise(first, second);
                document.querySelector('p').innerHTML = text;

            });
        });

    </script>
</body>
</html>